Package org.eclipse.m2m.atl.emftvm

## Interface InputRuleElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `RuleElement`, `TypedElement`

All Known Implementing Classes:
  `InputRuleElementImpl`

    public interface InputRuleElement
    extends RuleElement

A representation of the model object 'Input Rule Element'.

See Also:
  `EmftvmPackage.getInputRuleElement()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Iterable<org.eclipse.emf.ecore.EObject>` `createIterable​(ExecEnv env)` Creates a new `Iterable` of possible match values for this rule element.
`CodeBlock` `getBinding()` Returns the value of the 'Binding' containment reference.
`Rule` `getInputFor()` Returns the value of the 'Input For' container reference.
`boolean` `isMapsToSelf()` Returns the value of the 'Maps To Self' attribute.
`void` `setBinding​(CodeBlock value)` Sets the value of the '`Binding`' containment reference.
`void` `setInputFor​(Rule value)` Sets the value of the '`Input For`' container reference.
`void` `setMapsToSelf​(boolean value)` Sets the value of the '`Maps To Self`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.RuleElement

`getEModels, getModels`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Method Detail

#### getBinding

    CodeBlock getBinding()

Returns the value of the 'Binding' containment reference. It is bidirectional and its opposite is '`Binding For`'.

If the meaning of the 'Binding' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Binding' containment reference.
See Also:
  `setBinding(CodeBlock)`, `EmftvmPackage.getInputRuleElement_Binding()`, `CodeBlock.getBindingFor()`

#### setBinding

    void setBinding​(CodeBlock value)

Sets the value of the '`Binding`' containment reference.

Parameters:
  `value` - the new value of the 'Binding' containment reference.
See Also:
  `getBinding()`

#### getInputFor

    Rule getInputFor()

Returns the value of the 'Input For' container reference. It is bidirectional and its opposite is '`Input Elements`'.

If the meaning of the 'Input For' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Input For' container reference.
See Also:
  `setInputFor(Rule)`, `EmftvmPackage.getInputRuleElement_InputFor()`, `Rule.getInputElements()`

#### setInputFor

    void setInputFor​(Rule value)

Sets the value of the '`Input For`' container reference.

Parameters:
  `value` - the new value of the 'Input For' container reference.
See Also:
  `getInputFor()`

#### isMapsToSelf

    boolean isMapsToSelf()

Returns the value of the 'Maps To Self' attribute.

If the meaning of the 'Maps To Self' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Maps To Self' attribute.
See Also:
  `setMapsToSelf(boolean)`, `EmftvmPackage.getInputRuleElement_MapsToSelf()`

#### setMapsToSelf

    void setMapsToSelf​(boolean value)

Sets the value of the '`Maps To Self`' attribute.

Parameters:
  `value` - the new value of the 'Maps To Self' attribute.
See Also:
  `isMapsToSelf()`

#### createIterable

    java.lang.Iterable<org.eclipse.emf.ecore.EObject> createIterable​(ExecEnv env)

Creates a new `Iterable` of possible match values for this rule element.

Parameters:
  `env` - the execution environment context
Returns:
  a new `Iterable` of possible match values for this rule element.